/* SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause) */
/*
 * Copyright (c) 2020 MediaTek Inc.
 */

#ifndef _MTK_PQ_DMA_SG_H
#define _MTK_PQ_DMA_SG_H

#include <media/videobuf2-v4l2.h>

extern const struct vb2_mem_ops mtk_pq_dma_sg_memops;

int mtk_pq_dma_list_init(struct mtk_pq_platform_device *pdev);
int mtk_pq_dma_bind(struct mtk_pq_platform_device *pdev, int type, int fd);
int mtk_pq_dma_unbind(struct mtk_pq_platform_device *pdev, int type, int fd);
void mtk_pq_dma_sg_set_dbg(bool val);
bool mtk_pq_dma_sg_get_dbg(void);
void mtk_pq_dma_list_print(struct mtk_pq_platform_device *pdev);

#endif
